## org.eclipse.emf.codegen.ecore.genmodel
Interface GenEnum

All Superinterfaces:
  EObject, GenBase, GenClassifier, GenDataType, Notifier

All Known Implementing Classes:
  GenEnumImpl

    public interface GenEnum

extends GenDataType

A representation of the model object 'Gen Enum'.

The following features are supported:

- `Type Safe Enum Compatible`
- `Ecore Enum`
- `Gen Enum Literals`

See Also:
  `GenModelPackage.getGenEnum()`

Method Summary
`EEnum` `getEcoreEnum()` Returns the value of the 'Ecore Enum' reference
`java.lang.String` `getEnumLiteralID(GenEnumLiteral genEnumLiteral)`
`int` `getEnumLiteralValue(GenEnumLiteral genEnumLiteral)`
`GenEnumLiteral` `getGenEnumLiteral(java.lang.String literalName)`
`EList<GenEnumLiteral>` `getGenEnumLiterals()` Returns the value of the 'Gen Enum Literals' containment reference list.
`java.lang.String` `getImportedName()`
`java.lang.String` `getQualifiedName()`
`java.util.List<GenEnumLiteral>` `getUniqueValuedGenEnumLiterals()`
`void` `initialize(EEnum eEnum)`
`boolean` `isTypeSafeEnumCompatible()` Returns the value of the 'Type Safe Enum Compatible' attribute.
`boolean` `reconcile(GenEnum oldGenEnumVersion)`
`void` `setEcoreEnum(EEnum value)` Sets the value of the '`Ecore Enum`' reference
`void` `setTypeSafeEnumCompatible(boolean value)` Sets the value of the '`Type Safe Enum Compatible`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenDataType

`getBaseType, getEcoreDataType, getEnumerationLiterals, getFractionDigits, getImportedInstanceClassName, getImportedParameterizedObjectInstanceClassName, getImportedWildcardObjectInstanceClassName, getItemType, getLengthAccessorFunction, getMaxLength, getMaxLiteral, getMemberTypes, getMinLength, getMinLiteral, getModelInfo, getObjectInstanceClassName, getObjectType, getPatterns, getPrimitiveValueFunction, getQualifiedInstanceClassName, getSerializableFlag, getStaticValue, getStaticValue, getTotalDigits, getWhiteSpace, initialize, isArrayType, isMaxInclusive, isMinInclusive, isObjectType, isPrimitiveType, isSerializable, isXMLCalendar, isXMLDuration, reconcile, setEcoreDataType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isTypeSafeEnumCompatible

    boolean isTypeSafeEnumCompatible()

  Returns the value of the 'Type Safe Enum Compatible' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Type Safe Enum Compatible' attribute.
  Since:
    2.3
  See Also:
    `setTypeSafeEnumCompatible(boolean)`, `GenModelPackage.getGenEnum_TypeSafeEnumCompatible()`

### setTypeSafeEnumCompatible

    void setTypeSafeEnumCompatible(boolean value)

  Sets the value of the '`Type Safe Enum Compatible`' attribute.

  Parameters:
    `value` - the new value of the 'Type Safe Enum Compatible' attribute.
  See Also:
    `isTypeSafeEnumCompatible()`

### getEcoreEnum

    EEnum getEcoreEnum()

  Returns the value of the 'Ecore Enum' reference.

  Returns:
    the value of the 'Ecore Enum' reference.
  See Also:
    `setEcoreEnum(EEnum)`, `GenModelPackage.getGenEnum_EcoreEnum()`

### setEcoreEnum

    void setEcoreEnum(EEnum value)

  Sets the value of the '`Ecore Enum`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Enum' reference.
  See Also:
    `getEcoreEnum()`

### getGenEnumLiterals

    EList<GenEnumLiteral> getGenEnumLiterals()

  Returns the value of the 'Gen Enum Literals' containment reference list. The list contents are of type `GenEnumLiteral`. It is bidirectional and its opposite is '`Gen Enum`'.

  Returns:
    the value of the 'Gen Enum Literals' containment reference list.
  See Also:
    `GenModelPackage.getGenEnum_GenEnumLiterals()`, `GenEnumLiteral.getGenEnum()`

### getQualifiedName

    java.lang.String getQualifiedName()

### getImportedName

    java.lang.String getImportedName()

### getGenEnumLiteral

    GenEnumLiteral getGenEnumLiteral(java.lang.String literalName)

### getEnumLiteralID

    java.lang.String getEnumLiteralID(GenEnumLiteral genEnumLiteral)

### getEnumLiteralValue

    int getEnumLiteralValue(GenEnumLiteral genEnumLiteral)

### getUniqueValuedGenEnumLiterals

    java.util.List<GenEnumLiteral> getUniqueValuedGenEnumLiterals()

### initialize

    void initialize(EEnum eEnum)

### reconcile

    boolean reconcile(GenEnum oldGenEnumVersion)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.